Filtering host groups does not work in the host creation screen
Description

Hello,

I think I may have a problem related to host groups filtering:

I can limit the displayed host groups by filtering on the group name, it works on the host groups screen.

Though, when I create a host, I can choose among all the existing host groups in the drop down menu. I think I should not be able to

see those. Did I miss something ?

It may be related to http://projects.theforeman.org/issues/10923.

Thank you :)

Related issues:

Is duplicate of Foreman - Feature #7289: ACL who can add a host to hostgroup. New 08/28/2014

History

#1 - 10/30/2015 04:14 AM - Dominic Cleal

- Is duplicate of Feature #7289: ACL who can add a host to hostgroup. added

#2 - 10/30/2015 04:15 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report.  I think we're tracking this already under #7289 and some of the linked issues, there are a lot of problems with authorisation to

associated resources and I think it covers hosts to host groups.

#3 - 10/30/2015 05:20 AM - Thomas Saquet

Thank you ! I didn't search in issues older than 1 year :/ About it, I can see that the previous demand is dated from about one year ago, do you think

these problems will be addressed soon ? I am working on Foreman integration in a continuous integration tool chain and this may be a problem for

me about data partitioning between users.

Thank you in advance.

#4 - 10/30/2015 05:26 AM - Dominic Cleal

I think it's unlikely to be addressed soon, I've not seen any work on it lately.  The organisations/locations feature should apply to the host group

selection, but it's a lot more complex to use IMHO - you may want to try it out.
